spoonity logo
    • API
    • Documentation
    • Support
    • Getting Started

      • Introduction
      • Authentication
      • Handling Errors
      • Webhooks
    • Workflows

      • Placing an order
      • Retrieving a list of checked-in users
      • Registering an account
      • Working with user profiles
      • Reloading an account
    • Resources

      • Billing Profile
      • Card
      • Content
      • Country & Region
      • EGift
      • OnScreen
      • Order
      • User
      • Balances & Rewards
      • Transaction History
      • Inbox
      • Spending Rules
        • Retrieve a list of rulesGET
    • Sign in

    Spending Rules

    Spending rules represent the collections of configuration used to provide an offer, discount, or reward to a customer through the payment of a cost.


    GET/vendor/perk/redemption/list

    Retrieve a list of rules

    This request is not necessary to the workflow as it only gives information about the vendor and their perks, but can be loosely included in the "checking in" step. All the active perks at this vendor are listed, regardless of if the user qualifies or not.

    Query parameters

    • Name
      api_key
      Type
      string
      Description

      An API key linked to the store making the request.

    Response attributes

    • Name
      vendor_perk_redemption_id
      Type
      integer
      Description

      An internal reference number that is unique to each perk.

    • Name
      vendor
      Type
      object
      Description

      An object that holds information about the current vendor.

    • Name
      type
      Type
      object
      Description

      An object that contains information about the type of perk that is being offered.

    • Name
      currency
      Type
      object
      Description

      An object that contains information about the type of currency being used.

    • Name
      template
      Type
      object
      Description

      The style type for how the perk should be displayed.

    • Name
      name
      Type
      string
      Description

      Indicates the name of the perk in a way that is more user friendly.

    • Name
      summary
      Type
      string
      Description

      A brief overview of what the perk is and what points will be removed.

    • Name
      description
      Type
      string
      Description

      A description of what the perk entails.

    • Name
      cost
      Type
      integer
      Description

      How many points this perk costs to redeem.

    • Name
      start_date
      Type
      integer
      Description

      The date this perk begins, listed as a Unix timestamp in seconds from 1970-01-01 00:00:00.

    • Name
      end_date
      Type
      integer
      Description

      The date this perk ends, listed as a Unix timestamp in seconds from 1970-01-01 00:00:00.

    • Name
      date_created
      Type
      integer
      Description

      The date this perk was created, listed as a Unix timestamp in seconds from 1970-01-01 00:00:00.

    • Name
      date_updated
      Type
      integer
      Description

      The last date this perk was updated, listed as a Unix timestamp in seconds from 1970-01-01 00:00:00.

    • Name
      status
      Type
      object
      Description

      An object that holds information about the current status of this record.

    Request

    GET
    /vendor/perk/redemption/list
    curl -G https://api.spoonity.com/vendor/perk/redemption/list?api_key={api_key}
    

    Response

      [
          {
              "vendor_perk_redemption_id": 642,
              "vendor": {
              "vendor_id": 1,
                  "name": "Spoonity",
                      "status": {
                      "status_id": 1,
                      "name": "Active"
                  }
              },
              "type": {
                  "perkRedemptionType_id": 1,
                  "name": "Regular"
              },
              "currency": {
                  "currency_id": 961,
                  "name": "Points"
              },
              "template": {
                  "id": 2,
                  "name": "POINT"
              },
              "name": "Free Item",
              "summary": "Spend 50 points to get a free sandwich",
              "description": "Includes Small, Regular, and Large sandwiches.",
              "cost": "50.00",
              "start_date": 1499990400,
              "end_date": 2114294400,
              "date_created": 1499990400,
              "date_updated": 1508345395,
              "status": {
                  "status_id": 1,
                  "name": "Active"
              }
          },
          ...
      ]
    

    Was this page helpful?

    PreviousInbox
    NextAudit Log

    © Copyright 2026 Spoonity, Inc. All rights reserved.